GETREN(1)

NAME
getren - get RLE images to an HP98721 ("Renaissance") display

SYNOPSIS
getren [ -p xpos ypos ] [ -O ] [ -P xoff yoff ] [ -d display ] [ -x driver ] [ infile ]

DESCRIPTION
This program displays an RLE(5) file on an HP 98721 "Renaissance" display configured with at least 24 bits per pixel. If a color map exists in the file, it is loaded into the display, otherwise a linear map is used.

OPTIONS

-p xpos ypos
    position the image at xpos, ypos.

-P xoff yoff
    Offset the image position by xoff yoff

-O  Don't clear the screen (overlay mode)

-d display
    Gives the name of the display device to which the image is to be displayed. The default is "/dev/hp98721".

-x driver
    Gives the name of the device driver to be used to communicate with the display device. The default is "hp98721".

infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream.

SEE ALSO
read98721(1), urt(1), RLE(5).

AUTHOR
John W. Peterson, University of Utah, with input from Filippo Tampieri of Cornell and Eric Haines of 3D/Eye.

BUGS
The program assumes a full 24 bit Renaissance display. The HP graphics library supports automatically dithering for displays with fewer bitplanes, but getren ignores this.
The device and driver names are compiled in as "/dev/hp98721" and "hp98721", respectively. This may need changing on systems configured differently (in particular, systems with the Renaissance as their sole display may use a different name for the device).